#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

	long n;
	cin>>n;

    long long arr[n];
    for(long long  i = 0; i < n; i++)
    {
        cin >> arr[i];
    }
    // cout << 0;
    long long res[n*n][2], kol = 0, b;
    for(long long  i = 0; i < n; i++)
    {
        for(long long j = 0; j < n - i - 1; j++)
        {
            if(arr[j] > arr[j + 1])
            {
                kol++;
                res[kol - 1][0] = j;
                res[kol - 1][1] = j + 1;
                // cout << arr[j] << " " << arr[j + 1] <<"\n";
                b = arr[j];
                arr[j] = arr[j+1];
                arr[j+1] = b;
            }
        }
    }
    cout << kol;
    // for(int i = 0; i < kol; i++)
    // {
    //     cout << "\n";
    //     cout << res[i][0] + 1 << " " << res[i][1] + 1;

    // }
    // cout<<n/10<<" "<<n%10<<"\n";
}
